Generate Content
gemini-3-1-flash-lite-preview Generate Content API
The model path parameter uses gemini-3.1-flash-lite-preview.
Authorization
BearerAuth
Model relay interface recognition. Request heading: Autoration: Bearer .
In: header
Path Parameters
Gemini model name.
"gemini-3.1-flash-lite-preview"Request Body
application/json
Enter an array of content to carry one or more rounds of messages between users, models or tools. Each element is a Content object, usually consisting of __ FD_PROTECT_0 __ and __ FD_PROTECT_1 __: __ FD_PROTECT_2 __, commonly known as _ FD_PROTECT_3 __, _ FD_PROTECT_4 __, single-cycle user_9 _ with _ FD_PROTECT_10, _ FD_PROTECT_11 __, _ FD_PROTECT_12 __, _ FD_PRT_13 _ _ _ _ _ _FCED_14 Applies to scenarios such as text conversations, image/audio/video/document understanding, function calls and multimodular generation. The number of arrays and media sizes are based on upstream model and operational configuration limits.
Gemini system command.
Generates configurations such as temperature, TopK, TopP, maximum output length.
Security policy settings. List of safetySettings. Scope: An array length is based on upstream or business configuration.
Gemini tool definition. . Scope: The length of arrays and the complexity of schema are based on upstream limits.
Response Body
application/json
curl -X POST "https://api.tokaify.com/v1beta/models/gemini-3.1-flash-lite-preview:generateContent" \ -H "Content-Type: application/json" \ -d '{ "contents": [ { "parts": [ { "text": "Writing a four-word Chinese short poem on the theme of urban night rain." } ] } ], "generationConfig": { "temperature": 0.7, "maxOutputTokens": 100000 } }'{
"candidates": [],
"usageMetadata": {},
"modelVersion": "string"
}How is this guide?
Last updated on